﻿@model User

<h1>Профиль</h1>
<hr/>

<div>
    <p style="margin-left: 100px;"><img src="~/@Model.ImagePath" style="width: 100px; height: 100px; " /></p>
    <dl class="row">
        <dt class="col-sm-2">
            Имя
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            Email
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Email)
        </dd>
        <dt class="col-sm-2">
            Обо мне
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.AboutMe)
        </dd>
        <dt class="col-sm-2">
            Пол
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Gender)
        </dd>
        <dt class="col-sm-2">
            Подписчиков
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.SubscribersCount)
        </dd>
        <dt class="col-sm-2">
            Подписок
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.SubscriptionsCount)
        </dd>
        <dt class="col-sm-2">
            Публикаций
        </dt>
        <dd class="col-sm-10">
            <a asp-action="Publications" asp-controller="Publication" asp-route-id="@Model.Id">@Model.PublicationCount</a>
        </dd>
    </dl>
        <form class="form-control-sm" asp-controller="User" asp-action="Subscribe" asp-route-userId="@Model.Id">
            <input type="submit" class="btn-dark" value="Подписаться">   
        </form>
</div>